
body:has(.banner-overlay.active) {
  overflow: hidden;
}

.banner-overlay {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: #00000071;
  backdrop-filter: blur(2px);
  z-index: 9999;

  display: none;
  align-items: center;
  justify-content: center;
}

.banner-overlay.active {
  display: flex;
}

.first-banner-inner {
  position: relative;

  width: 820px;     
  min-height: 420px;  

  background-image: url("../hp-assets/bannerimg.png");
  background-repeat: no-repeat;
  background-position: bottom;
  background-size: cover;

  border-radius: 16px;
  text-align: center;
  padding: 20px 0px;
  box-shadow: 0 10px 10px #00000056;
}

.fbanner-title{
  color: #fff;
  font-weight: 700;
  font-size: 24px;
}

.fbanner-title span{
  color: #fbff00;
  font-weight: 900;
  font-size: 26px;
}

.input-wrapper-center {
  position: absolute;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
}

.top-input-text{
  font-size: 14px;
  color: #ccc;
  margin: 0px 0px 4px 0px !important;
}

.input-email{
  font-family: Arial, Helvetica, sans-serif !important;
  width: 100%;
  background: #fff !important;
  border: 1px solid #329CD7 !important;
  font-size: 18px;
  font-weight: 100 !important;
  padding: 4px 10px 5px 12px !important;
  border-radius: 4px !important;
  transition: all .2s ease-in-out !important;
  color: #1d648a !important;
}

.input-email::placeholder{
  color: #ccc;
  font-size: 16px !important;
  font-weight: 100 !important;
}

.input-email:focus{
  outline: #329CD7 !important;
  transform: scale(1.02);
}

.input-email.hperror {
  border: 1px solid #ff3b30 !important;
}


.send-email-button {
  position: absolute;
  bottom: 10px; 

  left: 50%;
  transform: translateX(-50%);
  
  background: #50ABDD !important;
  border-radius: 100px !important;
  color: #fff !important;
  font-weight: 800 !important;
  padding: 15px;
  min-width: 200px;
  border: none !important;
  cursor: pointer;
  transition: all .1s ease-in-out !important;
  box-shadow: 0 4px 10px #00000034;
  
}

.send-email-button:active {
  border: none !important;
  outline: none !important;
}

.send-email-button:hover {
  border: none !important;
  outline: none !important;
  transform: scale(1.05) translateX(-50%);
}

.send-email-button:focus {
  border: none !important;
  outline: none !important;
}

.close-banner-button{
  position: absolute;
  right: 10px;
  top: 10px;
  background: #50ABDD !important;
  border-radius: 100px !important;
  color: #fff !important;
  font-weight: 800 !important;
  padding: 17px;
  font-size: 0px !important;
  border: none !important;
  cursor: pointer;
  box-shadow: 0 4px 10px #00000034;
  transition: all .1s ease-in;
}

.close-banner-button::before{
  content: '';
  position: absolute;
  left: 6px;
  top: 16px;
  width: 22px;
  height: 2px;
  background: #ffffff;
  transform: rotate(45deg);
}

.close-banner-button::after{
  content: '';
  position: absolute;
  left: 6px;
  top: 16px;
  width: 22px;
  height: 2px;
  background: #ffffff;
  transform: rotate(-45deg);
}


.close-banner-button:active {
  border: none !important;
  outline: none !important;
}

.close-banner-button:hover {
  border: none !important;
  outline: none !important;
  transform: scale(1.05);
}

.close-banner-button:focus {
  border: none !important;
  outline: none !important;
}


/* SECOND OVERLAY */
.second-overlay{
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: #00000071;
  backdrop-filter: blur(2px);
  z-index: 99999;

  display: none;
  align-items: center;
  justify-content: center;
}

.second-overlay.active{
  display: flex;
}
.second-banner-inner{
  position: absolute;
  z-index: 99;
  background: #fff;
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.24);
}

.sbanner-title{
  text-align: center;
  color: #1d648a;
  font-size: 24px;
  margin-bottom: 15px;
}

.button-wrapper{
  display: flex;
  text-align: center;
  justify-content: center;
}

.close-second-banner{
  border: none;
  background: #50ABDD;
  color: #fff;
  border-radius: 100px;
  font-weight: 800;
  margin-right: 8px;
  padding: 15px 20px !important;
  cursor: pointer;
}

.go-to-official{
  border: none;
  background: #50ABDD;
  color: #fff;
  border-radius: 100px;
  font-weight: 800;
  padding: 15px 20px !important;
  cursor: pointer;
}

.sbutton:active {
  border: none !important;
  outline: none !important;
}

.sbutton:hover {
  border: none !important;
  outline: none !important;
}

.sbutton:focus {
  border: none !important;
  outline: none !important;
}